com.qualcomm.robotcore.hardware

## Enum IrSeekerSensor.Mode

- java.lang.Object
- - java.lang.Enum<IrSeekerSensor.Mode>
  - - com.qualcomm.robotcore.hardware.IrSeekerSensor.Mode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IrSeekerSensor.Mode>
  Enclosing interface:
    IrSeekerSensor

      public static enum IrSeekerSensor.Mode
      extends java.lang.Enum<IrSeekerSensor.Mode>

  Enumeration of device modes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MODE_1200HZ`
    `MODE_600HZ`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IrSeekerSensor.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IrSeekerSensor.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MODE_600HZ

          public static final IrSeekerSensor.Mode MODE_600HZ

    - #### MODE_1200HZ

          public static final IrSeekerSensor.Mode MODE_1200HZ

  - ### Method Detail

    - #### values

          public static IrSeekerSensor.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IrSeekerSensor.Mode c : IrSeekerSensor.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IrSeekerSensor.Mode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null